package polytech.codev.lolstat_api.entities;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Getter
@Setter
public class ParticipantStatsDto {
    Integer item0;
    Integer item2;
    Integer totalUnitsHealed;
    Integer item1;
    Integer largestMultiKill;
    Integer goldEarned;
    Boolean firstInhibitorKill;
    Long physicalDamageTaken;
    Integer nodeNeutralizeAssist;
    Integer totalPlayerScore;
    Integer champLevel;
    Long damageDealtToObjectives;
    Long totalDamageTaken;
    Integer neutralMinionsKilled;
    Integer deaths;
    Integer tripleKills;
    Long magicDamageDealtToChampions;
    Integer wardsKilled;
    Integer pentaKills;
    Long damageSelfMitigated;
    Integer largestCriticalStrike;
    Integer nodeNeutralize;
    Integer totalTimeCrowdControlDealt;
    Boolean firstTowerKill;
    Long magicDamageDealt;
    Integer totalScoreRank;
    Integer nodeCapture;
    Integer wardsPlaced;
    Long totalDamageDealt;
    Long timeCCingOthers;
    Long magicalDamageTaken;
    Integer largestKillingSpree;
    Long totalDamageDealtToChampions;
    Long physicalDamageDealtToChampions;
    Integer neutralMinionsKilledTeamJungle;
    Integer totalMinionsKilled;
    Boolean firstInhibitorAssist;
    Integer visionWardsBoughtInGame;
    Integer objectivePlayerScore;
    Integer kills;
    Boolean firstTowerAssist;
    Integer combatPlayerScore;
    Integer inhibitorKills;
    Integer turretKills;
    Integer participantId;
    Long trueDamageTaken;
    Boolean firstBloodAssist;
    Integer nodeCaptureAssist;
    Integer assists;
    Integer teamObjective;
    Integer altarsNeutralized;
    Integer goldSpent;
    Long damageDealtToTurrets;
    Integer altarsCaptured;
    Boolean win;
    Long totalHeal;
    Integer unrealKills;
    Long visionScore;
    Long physicalDamageDealt;
    Boolean firstBloodKill;
    Integer longestTimeSpentLiving;
    Integer killingSprees;
    Integer sightWardsBoughtInGames;
    Long trueDamageDealtToChampions;
    Integer getNeutralMinionsKilledEnemyJungle;
    Integer doubleKills;
    Long trueDamageDealt;
    Integer quadraKills;
    Integer item4;
    Integer item3;
    Integer item6;
    Integer item5;
    Integer playerScore0;
    Integer playerScore1;
    Integer playerScore2;
    Integer playerScore3;
    Integer playerScore4;
    Integer playerScore5;
    Integer playerScore6;
    Integer playerScore7;
    Integer playerScore8;
    Integer playerScore9;
    Integer perk0;
    Integer perk0Var1;
    Integer perk0Var2;
    Integer perk0Var3;
    Integer perk1;
    Integer perk1Var1;
    Integer perk1Var2;
    Integer perk1Var3;
    Integer perk2;
    Integer perk2Var1;
    Integer perk2Var2;
    Integer perk2Var3;
    Integer perk3;
    Integer perk3Var1;
    Integer perk3Var2;
    Integer perk3Var3;
    Integer perk4;
    Integer perk4Var1;
    Integer perk4Var2;
    Integer perk4Var3;
    Integer perk5;
    Integer perk5Var1;
    Integer perk5Var2;
    Integer perk5Var3;
    Integer perkPrimaryStyle;
    Integer perkSubStyle;
    Integer statPerk0;
    Integer statPerk1;
    Integer statPerk2;
}
